var fs = require("fs");
var request = require("request");

var types = ['游戏',
    '动作游戏',
    '探险游戏',
    '街机游戏',
    '桌面游戏',
    '扑克牌游戏',
    '娱乐场游戏',
    '骰子游戏',
    '教育游戏',
    '家庭游戏',
    '音乐游戏',
    '智力游戏',
    '赛车游戏',
    '角色扮演游戏',
    '模拟游戏',
    '体育游戏',
    '策略游戏',
    '小游戏',
    '文字游戏',
    //以下是appstore上有的类别
    '儿童',
    '竞速游戏',
    '聚会游戏',
    '卡牌游戏',
    '模拟游戏',
    '问答游戏',
    '益智解谜',
    '音乐'
];

var api = 'http://rest.appbk.com/word/get_word_rank?c=游戏&start=0&limit=5000';

var args = process.argv.slice(2);
var type = args[0] || types[0];
var str = fs.readFileSync("appbk_result.html", "utf8");
str = JSON.parse(str);
fs.writeFileSync("appbk.json", JSON.stringify(str.results));